# class RDoc::Parser::Simple

Parse a non-source file. We basically take the whole thing as one big comment.

### Public Class Methods

new(top_level, file_name, content, options, stats) click to toggle source

Prepare to parse a plain file

    # File lib/rdoc/parser/simple.rb, line 16
    def initialize(top_level, file_name, content, options, stats)
      super

      preprocess = RDoc::Markup::PreProcess.new @file_name, @options.rdoc_include

      preprocess.handle @content, @top_level
    end

### Public Instance Methods

remove_coding_comment(text) click to toggle source

Removes the encoding magic comment from `text`

    # File lib/rdoc/parser/simple.rb, line 40
    def remove_coding_comment text
      text.sub(%r\A# .*coding[=:].*$/, '')
    end

remove_private_comment(comment) click to toggle source

Removes private comments.

Unlike RDoc::Comment#remove_private this implementation only looks for two dashes at the beginning of the line. Three or more dashes are considered to be a rule and ignored.

    # File lib/rdoc/parser/simple.rb, line 51
    def remove_private_comment comment
      # Workaround for gsub encoding for Ruby 1.9.2 and earlier
      empty = ''
      empty.force_encoding comment.encoding if Object.const_defined? :Encoding

      comment = comment.gsub(%r^--\n.*?^\+\+\n?%, empty)
      comment.sub(%r^--\n.*%, empty)
    end

scan() click to toggle source

Extract the file contents and attach them to the TopLevel as a comment

    # File lib/rdoc/parser/simple.rb, line 27
    def scan
      comment = remove_coding_comment @content
      comment = remove_private_comment comment

      comment = RDoc::Comment.new comment, @top_level

      @top_level.comment = comment
      @top_level
    end